package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformIllegalMsg;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformIllegalMsgExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformIllegalMsgMapper {
    long countByExample(ContentPlatformIllegalMsgExample example);

    int deleteByExample(ContentPlatformIllegalMsgExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformIllegalMsg record);

    int insertSelective(ContentPlatformIllegalMsg record);

    List<ContentPlatformIllegalMsg> selectByExample(ContentPlatformIllegalMsgExample example);

    ContentPlatformIllegalMsg selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformIllegalMsg record, @Param("example") ContentPlatformIllegalMsgExample example);

    int updateByExample(@Param("record") ContentPlatformIllegalMsg record, @Param("example") ContentPlatformIllegalMsgExample example);

    int updateByPrimaryKeySelective(ContentPlatformIllegalMsg record);

    int updateByPrimaryKey(ContentPlatformIllegalMsg record);
}